import 'package:flutter/material.dart';
import 'package:hub/components/organism_components/arrow_linked_locals_component/arrow_linked_locals_component_model.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';


class ArrowLinkedLocalsComponentWidget extends StatefulWidget {
  const ArrowLinkedLocalsComponentWidget({super.key});

  @override
  State<ArrowLinkedLocalsComponentWidget> createState() =>
      _ArrowLinkedLocalsComponentWidgetState();
}

class _ArrowLinkedLocalsComponentWidgetState
    extends State<ArrowLinkedLocalsComponentWidget> {
  late ArrowLinkedLocalsComponentModel _model;

  @override
  void setState(VoidCallback callback) {
    super.setState(callback);
    _model.onUpdate();
  }

  @override
  void initState() {
    super.initState();
    _model = createModel(context, () => ArrowLinkedLocalsComponentModel());
  }

  @override
  void dispose() {
    _model.maybeDispose();

    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}